package main

import (
	"flag"

	"git.lattuga.net/blallo/ruspa/sizer"
)

func main() {
	var path string
	var debug bool
	flag.StringVar(&path, "path", ".", "The base path.")
	flag.BoolVar(&debug, "debug", false, "Toggle debug messages.")
	flag.Parse()
	sizer.Debug = debug
	rootINode := sizer.NewINode(sizer.FileTypes["dir"], 0, path)
	rootINode.Sizer()
}
